FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

AI Node Settings

Download schema

API endpoints to manage AI node settings


Update AI node settings

PUT
https://api.funnelflux.pro/v1
/ainodesetting/save

Update AI node settings

Update AI node settings › Request Body

AINodeSetting
funnelId
​string · required

ID of the funnel

segmentBy
​string · enum · required

Segment by

Enum values:
default
trafficSource
routingGoal
​string · enum · required

Routing goal

Enum values:
bestNextNode
bestNextPage
bestNextNodeToPage
lookbackWindow
​integer · int32 · required

Lookback window in hours

updateFrequency
​integer · int32 · required

Update frequency in hours

idAINodeSetting
​string

ID of the AI Node Setting

aiNodeSettingName
​string · minLength: 1 · maxLength: 256

AI Node Setting's name.

idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
eventType
​string · enum

Event Type

Enum values:
conversions
customEvent1
customEvent2
customEvent3
customEvent4
customEvent5
customEvent6
customEvent7
model
​string · enum

AI Model

Enum values:
conversionRate
revenuePerView
​AINodeSettingCalculationParams

Calculation parameters

Update AI node settings › Responses

AI node settings created/updated successfully

No data returned
PUT/ainodesetting/save
curl --request PUT \ --url https://api.funnelflux.pro/v1/ainodesetting/save \ --header 'Content-Type: application/json' \ --data ' { "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } } '
Example Request Body
{ "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } }
json
Example Responses
No example specified for this content type

Create AI node settings

POST
https://api.funnelflux.pro/v1
/ainodesetting/save

Create AI node settings

Create AI node settings › Request Body

AINodeSetting
funnelId
​string · required

ID of the funnel

segmentBy
​string · enum · required

Segment by

Enum values:
default
trafficSource
routingGoal
​string · enum · required

Routing goal

Enum values:
bestNextNode
bestNextPage
bestNextNodeToPage
lookbackWindow
​integer · int32 · required

Lookback window in hours

updateFrequency
​integer · int32 · required

Update frequency in hours

idAINodeSetting
​string

ID of the AI Node Setting

aiNodeSettingName
​string · minLength: 1 · maxLength: 256

AI Node Setting's name.

idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
eventType
​string · enum

Event Type

Enum values:
conversions
customEvent1
customEvent2
customEvent3
customEvent4
customEvent5
customEvent6
customEvent7
model
​string · enum

AI Model

Enum values:
conversionRate
revenuePerView
​AINodeSettingCalculationParams

Calculation parameters

Create AI node settings › Responses

AI node settings created/updated successfully

No data returned
POST/ainodesetting/save
curl --request POST \ --url https://api.funnelflux.pro/v1/ainodesetting/save \ --header 'Content-Type: application/json' \ --data ' { "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } } '
Example Request Body
{ "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } }
json
Example Responses
No example specified for this content type

Find AI node settings by ID

GET
https://api.funnelflux.pro/v1
/ainodesetting/find/byId

Retrieve AI node settings by its id

Find AI node settings by ID › query Parameters

idAINodeSetting
​string · required

The ID of the AI node settings to retrieve

Find AI node settings by ID › Responses

The requested AI node settings

AINodeSetting
funnelId
​string · required

ID of the funnel

segmentBy
​string · enum · required

Segment by

Enum values:
default
trafficSource
routingGoal
​string · enum · required

Routing goal

Enum values:
bestNextNode
bestNextPage
bestNextNodeToPage
lookbackWindow
​integer · int32 · required

Lookback window in hours

updateFrequency
​integer · int32 · required

Update frequency in hours

idAINodeSetting
​string

ID of the AI Node Setting

aiNodeSettingName
​string · minLength: 1 · maxLength: 256

AI Node Setting's name.

idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
eventType
​string · enum

Event Type

Enum values:
conversions
customEvent1
customEvent2
customEvent3
customEvent4
customEvent5
customEvent6
customEvent7
model
​string · enum

AI Model

Enum values:
conversionRate
revenuePerView
​AINodeSettingCalculationParams

Calculation parameters

GET/ainodesetting/find/byId
curl --request GET \ --url 'https://api.funnelflux.pro/v1/ainodesetting/find/byId?idAINodeSetting=%3Cstring%3E'
Example Responses
{ "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } }
json
application/json

Find AI node settings by ID list

GET
https://api.funnelflux.pro/v1
/ainodesetting/find/byIds/

Retrieve all AI node settings with the specified ids

Find AI node settings by ID list › query Parameters

idAINodeSettings
​string · required

List of the AI node setting IDs to retrieve

Find AI node settings by ID list › Responses

List of AI node settings with the specified ids

​AINodeSetting[]
AINodeSetting
funnelId
​string · required

ID of the funnel

segmentBy
​string · enum · required

Segment by

Enum values:
default
trafficSource
routingGoal
​string · enum · required

Routing goal

Enum values:
bestNextNode
bestNextPage
bestNextNodeToPage
lookbackWindow
​integer · int32 · required

Lookback window in hours

updateFrequency
​integer · int32 · required

Update frequency in hours

idAINodeSetting
​string

ID of the AI Node Setting

aiNodeSettingName
​string · minLength: 1 · maxLength: 256

AI Node Setting's name.

idCategory
​string

Category ID. Empty if uncategorized

Default:
status
​Status · enum
Enum values:
active
archived
deleted
Default: active
eventType
​string · enum

Event Type

Enum values:
conversions
customEvent1
customEvent2
customEvent3
customEvent4
customEvent5
customEvent6
customEvent7
model
​string · enum

AI Model

Enum values:
conversionRate
revenuePerView
​AINodeSettingCalculationParams

Calculation parameters

GET/ainodesetting/find/byIds/
curl --request GET \ --url 'https://api.funnelflux.pro/v1/ainodesetting/find/byIds?idAINodeSettings=%3Cstring%3E'
Example Responses
[ { "nodeId": "1", "funnelId": "1", "segmentBy": "default", "routingGoal": "bestNextNode", "eventType": "conversions", "model": "conversionRate", "lookbackWindow": 24, "updateFrequency": 24, "calculationParams": { "minimumPercentagePerVariant": 0.1 } } ]
json
application/json

Delete AI node settings

DELETE
https://api.funnelflux.pro/v1
/ainodesetting/delete

Delete AI node settings

Delete AI node settings › Request Body

StringList
entries
​string[] · required

Delete AI node settings › Responses

AI node settings deleted successfully

No data returned
DELETE/ainodesetting/delete
curl --request DELETE \ --url https://api.funnelflux.pro/v1/ainodesetting/delete \ --header 'Content-Type: application/json' \ --data ' { "entries": [ "entries", "entries" ] } '
Example Request Body
{ "entries": [ "entries", "entries" ] }
json
Example Responses
No example specified for this content type

IntegrationWebhook Configs